> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a page of connection overrides which apply in a specific environment.



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml get /v1/projects/{projectId}/connections/environment-overrides
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/projects/{projectId}/connections/environment-overrides:
    get:
      tags:
        - Connections
      summary: >-
        Retrieve a page of connection overrides which apply in a specific
        environment.
      operationId: getEnvironmentOverrides
      parameters:
        - description: >-
            The unique identifier of the project for which the connections will
            be listed.
          example: 550e8400-e29b-41d4-a716-446655440002
          in: path
          name: projectId
          required: true
          schema:
            type: string
            pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
        - description: >-
            The name of the environment to list which connection overrides are
            applied in.
          example: dev
          in: query
          name: environmentName
          required: true
          schema:
            type: string
            minLength: 1
        - description: Page number (0-indexed)
          example: '0'
          in: query
          name: page
          schema: {}
        - description: Number of records per page (from 1 to 100)
          example: '25'
          in: query
          name: size
          schema: {}
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnvironmentConnectionOverrideResponse'
          description: Successfully retrieved connection
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Bad Request
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Forbidden
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
          description: Connection not found
components:
  schemas:
    EnvironmentConnectionOverrideResponse:
      type: object
      properties:
        authProvider:
          type: string
          description: The authentication provider
          example: NONE
        authType:
          type: string
          description: The authentication type
          enum:
            - GENERIC_SECRET
            - CLOUD_PROVIDER_SECRET
            - OAUTH_USER_TOKENS
            - OAUTH_AUTHORIZATION_CODE
            - OAUTH_CLIENT_CRED
          example: GENERIC_SECRET
        connectionOverrides:
          $ref: '#/components/schemas/ConnectionOverrideDetails'
          description: Connection override configuration
        createdBy:
          type: string
          description: The user who created the connection
        createdDate:
          type: string
          format: date-time
          description: The date and time when the connection was created
        name:
          type: string
          description: The name of the connection
          example: my-jira-connection
        platformConnectionType:
          type: string
          description: The platform connection type
          enum:
            - DWH
            - COMPONENT_BASIC
            - CLOUD_PLATFORM_CREDENTIALS
          example: COMPONENT_BASIC
        projectId:
          type: string
          format: uuid
          description: The project ID this connection belongs to
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
    ConnectionOverrideDetails:
      type: object
      properties:
        connectionProperties:
          description: >-
            Connection properties specific to the platform connection type. For
            COMPONENT_BASIC connections, this contains secretName and secretKey
            fields.
          example:
            secretName: db-credentials
            secretKey: password
          oneOf:
            - $ref: >-
                #/components/schemas/CloudPlatformCredentialsConnectionProperties
            - $ref: '#/components/schemas/ComponentBasicConnectionProperties'
        secretsLocation:
          description: The vault location configuration where secrets are stored
          oneOf:
            - $ref: '#/components/schemas/AwsVaultLocation'
            - $ref: '#/components/schemas/AzureVaultLocation'
            - $ref: '#/components/schemas/DefaultVaultLocation'
            - $ref: '#/components/schemas/GcpVaultLocation'
            - $ref: '#/components/schemas/MatillionHostedVaultLocation'
    CloudPlatformCredentialsConnectionProperties:
      allOf:
        - $ref: '#/components/schemas/ConnectionProperties'
        - type: object
          properties:
            credentialSecretName:
              type: string
              description: The name of the secret containing the cloud platform credentials
              example: aws-platform-credentials
      description: Connection properties for cloud platform credentials connections
      title: Cloud Platform Credentials
    ComponentBasicConnectionProperties:
      allOf:
        - $ref: '#/components/schemas/ConnectionProperties'
        - type: object
          properties:
            secretKey:
              type: string
              description: Optional key within the secret
              example: password
            secretName:
              type: string
              description: The name of the secret
              example: some-secret-name
              minLength: 1
      description: Connection properties for component basic connections
      required:
        - secretName
      title: Component Basic
    AwsVaultLocation:
      allOf:
        - $ref: '#/components/schemas/VaultLocation'
        - type: object
          properties:
            region:
              type: string
      title: AWS Secrets Manager
    AzureVaultLocation:
      allOf:
        - $ref: '#/components/schemas/VaultLocation'
        - type: object
          properties:
            vaultName:
              type: string
      title: Azure Key Vault
    DefaultVaultLocation:
      allOf:
        - $ref: '#/components/schemas/VaultLocation'
      title: Default Vault
    GcpVaultLocation:
      allOf:
        - $ref: '#/components/schemas/VaultLocation'
        - type: object
          properties:
            gcpProjectId:
              type: string
      title: GCP Secret Manager
    MatillionHostedVaultLocation:
      allOf:
        - $ref: '#/components/schemas/VaultLocation'
      title: Matillion-hosted Vault
    ConnectionProperties:
      description: Connection properties for different connection types
    VaultLocation:
      type: object
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
          enum:
            - AWS_SECRET_MANAGER
            - AZURE_SECRET_MANAGER
            - GCP_SECRET_MANAGER
            - MATILLION_CUSTOMER_VAULT
            - DEFAULT_SECRET_VAULT
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````